Package org.apache.felix.gogo.runtime

# Class Expression.Variable

java.lang.Object
org.apache.felix.gogo.runtime.Expression.Variable

Enclosing class:
  `Expression`

public class Expression.Variable extends Object

## Constructor Summary

Constructors
Constructor
Description
`Variable(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Variable

public Variable(String name)

## Method Details

### getName

public String getName()

### toString

public String toString()

Overrides:
  `toString` in class `Object`